List tag key summary
GET/accounts/{account_id}/tags/summary
Lists all distinct tag keys and their distinct values across resources in an account.
Security
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
List tag key summary
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/tags/summary \
-H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
-H "X-Auth-Key: $CLOUDFLARE_API_KEY"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": [
{
"key": "environment",
"values": [
"production",
"staging"
]
},
{
"key": "team",
"values": [
"engineering",
"platform"
]
}
],
"result_info": {
"count": 20,
"cursor": "eyJhY2NvdW50X2lkIjoxMjM0NTY3ODkwfQ"
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": [
{
"key": "environment",
"values": [
"production",
"staging"
]
},
{
"key": "team",
"values": [
"engineering",
"platform"
]
}
],
"result_info": {
"count": 20,
"cursor": "eyJhY2NvdW50X2lkIjoxMjM0NTY3ODkwfQ"
}
}